﻿using Xamarin.Forms;

namespace GettingStarted
{
    class DocViewModel : BindableObject
    {
        #region Constructor
        public DocViewModel()
        {
        }
        #endregion
        #region Properties
        /// <summary>
        /// Specifies the Command for Getting Started Sample
        /// </summary>
        public GettingStartedDocIOCommand GettingStartedDocIOCommand
        {
            get
            {
                return (GettingStartedDocIOCommand)GetValue(GettingStartedDocIOCommandProperty);
            }
            set
            {
                SetValue(GettingStartedDocIOCommandProperty, value);
            }
        }
        #endregion
        #region Static Properties
        public static INavigation Navigation;
        public static readonly BindableProperty GettingStartedDocIOCommandProperty = BindableProperty.Create<DocViewModel, GettingStartedDocIOCommand>(s => s.GettingStartedDocIOCommand, new GettingStartedDocIOCommand(), BindingMode.OneWay, null, null);
        #endregion
    }
}
